Subject: Re: bug#27243: dired-auto-revert-buffer jumps point to beginning of buffer

From: Stephen Berman <[email-masked]>
Date: Mon, 05 Jun 2017 17:15:54 +0200

On Mon, 05 Jun 2017 18:02:14 +0300 Eli Zaretskii <[email-masked]> wrote:

>> One way to fix this is to make dired-restore-positions restore not only
>> point but also window-point.  The attached patch does this.
>
> An alternative is to bind switch-to-buffer-preserve-window-point to
> nil (the whole problem was caused by the fact that this variable is
> now non-nil by default, and dired-revert runs afoul of it, as you
> point out):

Oh, I didn't even know about switch-to-buffer-preserve-window-point.

> I'm not sure which solution is better.  Maybe someone will come up
> with a more elegant one.

Your fix is certainly simpler and I think cleaner than mine, so I would
say install it.

Steve Berman